<?php

namespace App\Domains\Bootstrap\Services;

use App\Domains\Tenant\Models\WebsiteType;

class ScannerBootstrapService
{
    /** @return array{website_type: WebsiteType} */
    public function get(string $domain): array
    {
        return [
            'website_type' => WebsiteType::query()
                ->with(['siteLogo', 'footerLogo', 'favicon'])
                ->where('scanner_domain', $domain)
                ->firstOrFail(),
        ];
    }
}
